Bug 1873331 - Accessibility - Main banner icons have no text description, alt text, label, or other accessible information associated
Summary: Accessibility - Main banner icons have no text description, alt text, label,...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.6.0
Assignee: Steve Goodwin
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-27 21:42 UTC by Cyril
Modified: 2020-09-14 13:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Main banner (38.67 KB, image/png)
2020-08-27 21:42 UTC, Cyril
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6497 None closed Bug 1873331: Adds alt-text to masthead icons 2020-09-14 01:06:01 UTC

Description Cyril 2020-08-27 21:42:38 UTC
Created attachment 1712884 [details]
Main banner

Description of problem:
Non-compliance: main banner/*, the icons have no text description, alt text, label, or other accessible information associated.


Version-Release number of selected component (if applicable):
4.6.0-0.nightly-2020-08-02-134243

How reproducible:
always

Steps to Reproduce:
1. Login to web console and locate the main banner at the top right


Actual results:
The icons have no text description, alt text, label, or other accessible information associated

Expected results:
The icons should have text description, alt text, label, or other accessible information associated

Additional info:

Comment 4 Yanping Zhang 2020-09-14 13:38:57 UTC
Checked on ocp 4.6 cluster with payload 4.6.0-0.nightly-2020-09-12-230035。
Check BellIcon,QuestionIcon,PlusCircleIcon on masthead, all svg elements have "alt" text now.


Note You need to log in before you can comment on or make changes to this bug.